package com.bocloud.cmp.model;

/**
 * 中兴alarm model
 *
 * @author oywl
 */
public class ZXAlarmModel {
    private String Timeticks;// 时间戳
    private String mType;// 消息类型
    private String alarmEventTime;// 告警发生时间
    private Integer sendNotificationId;// 本次发送序列号
    private Integer lastSendNotifcationId;// 上次发送的序号
    private String systemDN;// 系统DN
    private String alarmCode;// 告警码
    private String alarmManagedObjectInstance;/// 网元位置
    private Integer alarmEventype;// 告警类型
    private Integer alarmProbableCause;// 告警码中的北向原因码
    private Integer alarmPerceivedSeverity;// 告警级别
    private String alarmSpecificProblem;// 告警特殊原因
    private String alarmAdditionalText;// 告警附加文本
    private String alarmNetype;// 网元类型
    private Integer alarmIndex;// 索引
    private String alarmId;// 告警唯一标识
    private String alarmCodeName;// 告警码名称
    private String alarmManagedObjectInstanceName;// 网元或者网元内定位的名称
    private String alarmSystemType;// 告警系统类型
    private String alarmNeIP;// 网元IP
    private Integer alarmAck;// 告警确认状态
    private String cleiCode;// 设备资产号
    private String timeZoneID;// 告警上报时间时区ID
    private String timeZoneOffset;// 告警上报时间时区偏移量
    private String dSTSaving;// 告警上报时间夏令时偏移量
    private String aid;// 告警aid
    private String id;// 告警Id
    private String alarmMocObjectInstance;// 网元名称
    private String alarmMeasure;// 告警注释
    private String alarmOtherInfo;// 告警自定义属性

    public String getTimeticks() {
        return Timeticks;
    }

    public void setTimeticks(String timeticks) {
        Timeticks = timeticks;
    }

    public String getAlarmCodeName() {
        return alarmCodeName;
    }

    public void setAlarmCodeName(String alarmCodeName) {
        this.alarmCodeName = alarmCodeName;
    }

    public String getAlarmManagedObjectInstance() {
        return alarmManagedObjectInstance;
    }

    public void setAlarmManagedObjectInstance(String alarmManagedObjectInstance) {
        this.alarmManagedObjectInstance = alarmManagedObjectInstance;
    }

    public String getmType() {
        return mType;
    }

    public void setmType(String mType) {
        this.mType = mType;
    }

    public String getAlarmEventTime() {
        return alarmEventTime;
    }

    public void setAlarmEventTime(String alarmEventTime) {
        this.alarmEventTime = alarmEventTime;
    }

    public Integer getSendNotificationId() {
        return sendNotificationId;
    }

    public void setSendNotificationId(Integer sendNotificationId) {
        this.sendNotificationId = sendNotificationId;
    }

    public Integer getLastSendNotifcationId() {
        return lastSendNotifcationId;
    }

    public void setLastSendNotifcationId(Integer lastSendNotifcationId) {
        this.lastSendNotifcationId = lastSendNotifcationId;
    }

    public String getSystemDN() {
        return systemDN;
    }

    public void setSystemDN(String systemDN) {
        this.systemDN = systemDN;
    }

    public String getAlarmCode() {
        return alarmCode;
    }

    public void setAlarmCode(String alarmCode) {
        this.alarmCode = alarmCode;
    }

    public Integer getAlarmEventype() {
        return alarmEventype;
    }

    public void setAlarmEventype(Integer alarmEventype) {
        this.alarmEventype = alarmEventype;
    }

    public Integer getAlarmProbableCause() {
        return alarmProbableCause;
    }

    public void setAlarmProbableCause(Integer alarmProbableCause) {
        this.alarmProbableCause = alarmProbableCause;
    }

    public Integer getAlarmPerceivedSeverity() {
        return alarmPerceivedSeverity;
    }

    public void setAlarmPerceivedSeverity(Integer alarmPerceivedSeverity) {
        this.alarmPerceivedSeverity = alarmPerceivedSeverity;
    }

    public String getAlarmSpecificProblem() {
        return alarmSpecificProblem;
    }

    public void setAlarmSpecificProblem(String alarmSpecificProblem) {
        this.alarmSpecificProblem = alarmSpecificProblem;
    }

    public String getAlarmAdditionalText() {
        return alarmAdditionalText;
    }

    public void setAlarmAdditionalText(String alarmAdditionalText) {
        this.alarmAdditionalText = alarmAdditionalText;
    }

    public String getAlarmNetype() {
        return alarmNetype;
    }

    public void setAlarmNetype(String alarmNetype) {
        this.alarmNetype = alarmNetype;
    }

    public Integer getAlarmIndex() {
        return alarmIndex;
    }

    public void setAlarmIndex(Integer alarmIndex) {
        this.alarmIndex = alarmIndex;
    }

    public String getAlarmId() {
        return alarmId;
    }

    public void setAlarmId(String alarmId) {
        this.alarmId = alarmId;
    }

    public String getAlarmManagedObjectInstanceName() {
        return alarmManagedObjectInstanceName;
    }

    public void setAlarmManagedObjectInstanceName(String alarmManagedObjectInstanceName) {
        this.alarmManagedObjectInstanceName = alarmManagedObjectInstanceName;
    }

    public String getAlarmSystemType() {
        return alarmSystemType;
    }

    public void setAlarmSystemType(String alarmSystemType) {
        this.alarmSystemType = alarmSystemType;
    }

    public String getAlarmNeIP() {
        return alarmNeIP;
    }

    public void setAlarmNeIP(String alarmNeIP) {
        this.alarmNeIP = alarmNeIP;
    }

    public Integer getAlarmAck() {
        return alarmAck;
    }

    public void setAlarmAck(Integer alarmAck) {
        this.alarmAck = alarmAck;
    }

    public String getCleiCode() {
        return cleiCode;
    }

    public void setCleiCode(String cleiCode) {
        this.cleiCode = cleiCode;
    }

    public String getTimeZoneID() {
        return timeZoneID;
    }

    public void setTimeZoneID(String timeZoneID) {
        this.timeZoneID = timeZoneID;
    }

    public String getTimeZoneOffset() {
        return timeZoneOffset;
    }

    public void setTimeZoneOffset(String timeZoneOffset) {
        this.timeZoneOffset = timeZoneOffset;
    }

    public String getdSTSaving() {
        return dSTSaving;
    }

    public void setdSTSaving(String dSTSaving) {
        this.dSTSaving = dSTSaving;
    }

    public String getAid() {
        return aid;
    }

    public void setAid(String aid) {
        this.aid = aid;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getAlarmMocObjectInstance() {
        return alarmMocObjectInstance;
    }

    public void setAlarmMocObjectInstance(String alarmMocObjectInstance) {
        this.alarmMocObjectInstance = alarmMocObjectInstance;
    }

    public String getAlarmMeasure() {
        return alarmMeasure;
    }

    public void setAlarmMeasure(String alarmMeasure) {
        this.alarmMeasure = alarmMeasure;
    }

    public String getAlarmOtherInfo() {
        return alarmOtherInfo;
    }

    public void setAlarmOtherInfo(String alarmOtherInfo) {
        this.alarmOtherInfo = alarmOtherInfo;
    }
}
